/**
 * Pack a number to a 2 byte Uint16 buffer (big endian).
 * @param number The number to pack.
 * @returns The packed buffer.
 */
export function numberToUint16BE (number: number): Buffer {
  const ret = Buffer.alloc(2)
  ret.writeUInt16BE(number)
  return ret
}

/**
 * Pack a number to a 4 byte Uint32 buffer (big endian).
 * @param number The number to pack.
 * @returns The packed buffer.
 */
export function numberToUint32BE (number: number): Buffer {
  const ret = Buffer.alloc(4)
  ret.writeUInt32BE(number)
  return ret
}
